This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 444085

Summary: Import Fedora 9 python urlgrabber fixes and UI improvements
Product: Red Hat Enterprise Linux 5 Reporter: James Antill <james.antill>
Component: python-urlgrabberAssignee: James Antill <james.antill>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 5.2CC: ddomingo, jlaska
Target Milestone: rcKeywords: Rebase, Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
python-urlgrabber has been re-based to version 3.1.0-5. This applies several bug fixes from upstream, including: * yum can now correctly re-download from a yum repository that does not support partial downloads. * yum can now resume an interrupted download even if the yum repository is FTP based with a specified port. * The size of progress bars are now dynamic to the terminal width. In addition, progress bars are now cleaner, and display a percentage of the total downloaded data. * The keepalive signal of python-urlgrabber is now fixed. Previously, a bug in this signal incorrectly increased memory usage during downloads; in addition, this bug also prevented reposync and yumdownloader from performing properly when downloading a large number of packages.
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-20 17:17:20 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 454962    

Description James Antill 2008-04-24 17:41:14 EDT
Description of problem:
 Import the patches currently in rawhide/Fedora-9, which do:

- Fix the ftp byterange port problem:
- Resolves: bug#419241
- Fixup the progress UI:
-   add function for total progress
-   add total progress percentage current download line
-   add rate to current download line
-   use dead space when finished downloading
-   don't confuse download rate on regets.

...this would also include the (currently in CVS) patch fox unicode fixes, that
was dropped from 5.2 to keep the pkg. count down.

Version-Release number of selected component (if applicable):
 Patches would be added to python-urlgrabber-3.1.0-3 making it -4

Additional info:

 This can and should go out as soon as we have time during 5.2, there's almost
0% chance that we'll rev. python-urlgrabber in RHEL-5.3 and most of the above
improvements (all but the total progress) will make the yum download UI better
without any other changes.
Comment 1 RHEL Product and Program Management 2008-04-24 17:47:46 EDT
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request. 
Comment 2 James Antill 2008-04-24 17:59:58 EDT
 So I can accidentally QA nak, but not QA ack ... that's clever
Comment 5 James Antill 2008-06-02 18:45:41 EDT
 It is basically a "rebase" to the Fed-9 version of urlgrabber, however that
version of urlgrabber only differs from ours in that it has the three patches we
want.

 Testing the ftp port problem is "easish" just follow the instructions in the
report (add :21 to the hostname of an ftp url).

 Testing the progress output, is just a matter of doing: urlgrabber URL
 Or doing a download in yum.

 Testing the last patch, the reget fix for HTTP (this is another BZ against
5.3), means setting up a HTTP server that doesn't to range requests and trying a
reget.
Comment 7 RHEL Product and Program Management 2008-07-21 19:03:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 12 Don Domingo 2008-11-17 20:09:53 EST
this bug is now documented in the RHEL5.3 release notes. please refer to the following link within the next 24 hours or so to view the most current build:
http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/
Comment 13 Don Domingo 2008-11-17 20:09:53 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
python-urlgrabber has been re-based to version 3.1.0-5. This applies several bug fixes from upstream, including:

* yum can now resume an interrupted download even if the yum repository does not support partial downloads.

* The keepalive signal of python-urlgrabber is now fixed. Previously, a bug in this signal incorrectly increased memory usage during downloads; in addition, this bug also prevented reposync and yumdownloader from performing properly when downloading a large number of packages.
Comment 15 James Antill 2008-11-18 01:44:32 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,5 +1,9 @@
 python-urlgrabber has been re-based to version 3.1.0-5. This applies several bug fixes from upstream, including:
 
-* yum can now resume an interrupted download even if the yum repository does not support partial downloads.
+* yum can now correctly re-download from a yum repository that does not support partial downloads.
+
+* yum can now resume an interrupted download even if the yum repository is FTP based with a specified port.
+
+* Progress bars are dynamic to the terminal width, cleaner and display a total download percentage is.
 
 * The keepalive signal of python-urlgrabber is now fixed. Previously, a bug in this signal incorrectly increased memory usage during downloads; in addition, this bug also prevented reposync and yumdownloader from performing properly when downloading a large number of packages.
Comment 16 Don Domingo 2008-11-18 17:36:09 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -4,6 +4,6 @@
 
 * yum can now resume an interrupted download even if the yum repository is FTP based with a specified port.
 
-* Progress bars are dynamic to the terminal width, cleaner and display a total download percentage is.
+* The size of progress bars are now dynamic to the terminal width. In addition, progress bars are now cleaner, and display a percentage of the total downloaded data.
 
 * The keepalive signal of python-urlgrabber is now fixed. Previously, a bug in this signal incorrectly increased memory usage during downloads; in addition, this bug also prevented reposync and yumdownloader from performing properly when downloading a large number of packages.
Comment 20 errata-xmlrpc 2009-01-20 17:17:20 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0248.html